/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { DialogAnimationType } from "../../common/animation-types";
import { AnimationDirection } from '../../common/dialog-animation-direction';
/**
 * The settings for the Dialog animations when opening the Dialog Component ([see example]({% slug animations_dialog %})).
 */
export interface DialogAnimation {
    /**
     * Defines the duration of the Dialog opening animation in milliseconds.
     */
    duration?: number;
    /**
     * Defines the Dialog opening animation type.
     */
    type?: DialogAnimationType;
    /**
     * Defines the direction of the Dialog opening animation. Applicable to the `slide` and `expand` animation types.
     */
    direction?: AnimationDirection;
}
